@charset "utf-8";

.cmn_section:has(.str_outer) {
  width: 100%;
  max-width: initial;
  padding: 0;
  margin: 0;
}
.str_outer {
  overflow: hidden;
  padding: var(--space-65) 0 24px;
}
.str_outer .cmn_section {
  position: relative;
  padding: 0;
  display: flex;
  &.w100 {
    flex-direction: column;
    gap: 24px;
  }
  &.w100 > * {width: 100%;}
  &.w50 {
    justify-content: space-between;
    gap: 20px;
  }
  &.w50 > * {width: 50%;}
  &:not(:last-child) {margin-bottom: 24px;}
  @media screen and (max-width: 767px) {
    &.w100,
    &.w50 {gap: 10px;}
    &:not(:last-child) {margin-bottom: 10px;}
  }
}
.str_flex--dir {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 24px;
  @media screen and (max-width: 767px) {
    gap: 12px;
  }
}
.str_flex--row {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  @media screen and (max-width: 767px) {gap: 10px;}
}

.abs-right,
.abs-left {
  position: absolute;
  top: 0;
  width: 100vw;
  height: 100%;
  &.bg-white {
    background: #fff;
    border: 3px solid var(--blue-color);
  }
  &.bg-blue {background: var(--blue-color);}
  &.multiple {
    display: flex;
    flex-flow: column;
    gap: 24px;
  }
  &.multiple::before,
  &.multiple::after {
    content: '';
    width: 100%;
    flex: 1;
  }
  &.multiple::before {
    background: #fff;
    border: 3px solid var(--blue-color);
  }
  &.multiple::after {background: var(--blue-color);}
  @media screen and (max-width: 767px) {
    &.bg-white,
    &.multiple::before {border: 1px solid var(--blue-color);}
  }
}
.abs-right {
  left: calc(100% - -20px);
  border-radius: 10px 0 0 10px;
  &.multiple::before {border-radius: 10px 0 0 10px;}
  &.multiple::after {border-radius: 10px 0 0 10px;}
  @media screen and (max-width: 767px) {
    left: calc(100% - -10px);
  }
}
.abs-left {
  right: calc(100% - -20px);
  border-radius: 0 10px 10px 0;
  &.multiple::before {border-radius: 0 10px 10px 0;}
  &.multiple::after {border-radius: 0 10px 10px 0;}
  @media screen and (max-width: 767px) {
    right: calc(100% - -10px);
  }
}

/* ------------------
 フェード用CSS
------------------ */
.fade {
	opacity: 0;
	transition: .5s ease-in-out;
	&.fade--bot{transform: translate(0,100px);}
	&.fade--top{transform: translate(0,-100px);}
	&.fade--left{transform: translate(-100px,0);}
	&.fade--right{transform: translate(100px,0);}
	&.fadein{transform: translate(0,0);opacity: 1;}
}
/* 子要素を順番にフェードイン */
.fade.fade--list {
	opacity: 1;
	& + p {
		text-align: center;
		margin: 20px auto;
	}
}
.fade_child {
  opacity: 0;
  transform: translate(0,100px);
  transition: .5s ease-in-out;
	&:nth-child(1){transition-delay: 0.15s;}
  &:nth-child(2){transition-delay: 0.3s;}
  &:nth-child(3){transition-delay: 0.45s;}
  &:nth-child(4){transition-delay: 0.6s;}
  &:nth-child(5){transition-delay: 0.75s;}
  &:nth-child(6){transition-delay: 0.9s;}
  &:nth-child(7){transition-delay: 1.05s;}
  &:nth-child(8){transition-delay: 1.2s;}
  &:nth-child(9){transition-delay: 1.35s;}
}
.fadein .fade_child{
  transform: translate(0,0);
  opacity: 1;
}